> ## Documentation Index
> Fetch the complete documentation index at: https://docs.debridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the SameChainSwapDTO object for a given swap ID.



## OpenAPI

````yaml /dln-details/swagger/monitoring.json get /api/SameChainSwap/{swapId}
openapi: 3.0.1
info:
  title: DLN stats API
  description: >-
    # Introduction

    This API is part of [deBridge](https://debridge.com/) protocol
    infrastructure. 


    Protocol documentation is available [here](https://docs.debridge.com/).


    [Terms and
    Condition](https://debridge.com/assets/files/debridge_terms_of_service.pdf)
    | [Privacy
    Policy](https://debridge.com/assets/files/debridge_privacy_policy.pdf)


    # Swagger

    Swagger document can be found [here](/swagger)


    Redoc document can be found [here](/redoc)
  version: v1
servers:
  - url: https://dln-api.debridge.finance
security: []
paths:
  /api/SameChainSwap/{swapId}:
    get:
      tags:
        - SameChainSwap
      summary: Retrieves the SameChainSwapDTO object for a given swap ID.
      operationId: SameChainSwap_GetSameChainSwap
      parameters:
        - name: swapId
          in: path
          description: The unique identifier of the swap.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SameChainSwapDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidInputDataResponse'
        '422':
          description: Unprocessable Content
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    SameChainSwapDTO:
      type: object
      properties:
        swapId:
          oneOf:
            - $ref: '#/components/schemas/StringPropertyDTO'
            - $ref: '#/components/schemas/TransactionHashPropertyDto'
          description: Id of the swap
          nullable: true
        chainId:
          $ref: '#/components/schemas/IntPropertyDTO'
        sender:
          $ref: '#/components/schemas/AddressPropertyDTO'
        recipient:
          $ref: '#/components/schemas/AddressPropertyDTO'
        tokenIn:
          $ref: '#/components/schemas/TokenAmountDTO'
        tokenOut:
          $ref: '#/components/schemas/TokenAmountDTO'
        transactionHash:
          $ref: '#/components/schemas/TransactionHashPropertyDto'
        blockTimeStamp:
          type: integer
          description: >-
            Timestamp of the block in which the event was recorded, represented
            as a Unix time in seconds.
          format: int64
        affiliateFee:
          $ref: '#/components/schemas/SameChainSwapAffiliateFeeDTO'
        swapFee:
          $ref: '#/components/schemas/TokenAmountDTO'
        referralCode:
          type: integer
          description: Referral program code
          format: int32
        swapRouterInfo:
          $ref: '#/components/schemas/RouterInfoDTO'
      additionalProperties: false
      description: >-
        Represents a Data Transfer Object (DTO) used to encapsulate the details
        of a swap operation on one blockchain (NOT cross-chain).
    InvalidInputDataResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 400
          format: int32
      additionalProperties: false
      description: Information about bad input params
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: >-
            Error code, if differs from response code (if !=422) indicates
            unique id of the error that can be used for error's handling
            automation on client side
          format: int32
      additionalProperties: false
      description: Information about error, occurred in the application
    InternalServerErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: Error message
          nullable: true
        errorCode:
          type: integer
          description: For this type of error it's always 500
          format: int32
      additionalProperties: false
      description: Information about an internal server error
    StringPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    TransactionHashPropertyDto:
      type: object
      allOf:
        - $ref: '#/components/schemas/StringPropertyDTO'
      properties:
        stringValue:
          type: string
          description: String representation of the transaction hash value
          nullable: true
          readOnly: true
      additionalProperties: false
      description: Transaction Hash property
    IntPropertyDTO:
      type: object
      properties:
        bytesValue:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        bigIntegerValue:
          type: number
          description: Integer representation of the property value
          format: int64
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    AddressPropertyDTO:
      type: object
      properties:
        Base64Value:
          type: string
          description: Binary representation of the property value
          format: byte
          nullable: true
        bytesArrayValue:
          type: string
          description: Bytes array representation of the value
          nullable: true
          readOnly: true
        stringValue:
          type: string
          description: String representation of the property value
          nullable: true
          readOnly: true
      additionalProperties: false
    TokenAmountDTO:
      type: object
      properties:
        tokenAddress:
          $ref: '#/components/schemas/AddressPropertyDTO'
        amount:
          $ref: '#/components/schemas/IntPropertyDTO'
        metadata:
          $ref: '#/components/schemas/MetadataDTO'
      additionalProperties: false
      description: Info about a token
    SameChainSwapAffiliateFeeDTO:
      type: object
      properties:
        affiliateFee:
          $ref: '#/components/schemas/TokenAmountDTO'
        beneficiarySrc:
          $ref: '#/components/schemas/AddressPropertyDTO'
      additionalProperties: false
      description: Represents details regarding the affiliate fee for same chain swap.
    RouterInfoDTO:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/AddressPropertyDTO'
        name:
          type: string
          description: Router name
          nullable: true
        logoUri:
          type: string
          description: Token logo Uri
          nullable: true
      additionalProperties: false
      description: Information about the router used for executing the token swap
    MetadataDTO:
      type: object
      properties:
        decimals:
          type: integer
          description: Decimals of the token
          format: int32
        name:
          type: string
          description: Name of the token
          nullable: true
        symbol:
          type: string
          description: Symbol of the token
          nullable: true
        logoURI:
          type: string
          description: URI of the token's logo
          nullable: true
      additionalProperties: false
      description: Token metadata DTO

````